%define	name	kcdlabel
%define	version	2.12
%define	release %mkrel 8

%define	section	Multimedia/Graphics
%define	title	Kcdlabel
%define	Summary	KCDLabel is a program used to create covers for CD cases

Summary:	%Summary
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Graphical desktop/KDE
URL:		http://kcdlabel.sourceforge.net/
Source0:	%name-%version.tar.bz2
Source1:	%name-icons.tar.bz2
Source2:	%name-sk.po
Source3:	%name-sk.gmo
Patch0:		kcdlabel-sk_locale.patch.bz2
BuildRoot:	%_tmppath/%name-%{version}-buildroot
Buildrequires:	kdelibs-devel

%description
KCDLabel is a KDE program used to create covers, labels and booklets for your
CD cases.

%prep
%setup -q 
%setup -q -T -D -a1 
%patch0 -p0 -b .kcdlabel-temp_sk_locale

# add slovak locale
cp %{SOURCE2} po/sk.po
cp %{SOURCE3} po/sk.gmo

%define __libtoolize /bin/true

%build
#make -f admin/Makefile.common cvs

export QTDIR=%_prefix/%_lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%{?__cputoolize: %{__cputoolize} }

%configure	--disable-rpath \
		--with-xinerama
%make

%install
rm -rf %buildroot
%makeinstall

# menu entry
mkdir -p %buildroot/%_menudir
kdedesktop2mdkmenu.pl %{name} Multimedia/Graphics %buildroot/%_datadir/applnk/Multimedia/kcdlabel.desktop %buildroot/%_menudir/%{name}

# install png icons
%__install -D -m 644 %{name}48.png %buildroot/%_liconsdir/%name.png
%__install -D -m 644 %{name}32.png %buildroot/%_iconsdir/%name.png
%__install -D -m 644 %{name}16.png %buildroot/%_miconsdir/%name.png

# delete unwanted file
rm -f %buildroot/%_docdir/HTML/en/%name/en.new

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %buildroot

%files -f %name.lang
%defattr(-,root,root)
%doc COPYING README INSTALL AUTHORS
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
%doc %_docdir/HTML/en/*
%_bindir/*
%_datadir/applnk/Multimedia/kcdlabel.desktop
%defattr(0644,root,root,0755)
%_menudir/*
%_miconsdir/*
%_iconsdir/*
%_liconsdir/*

%changelog
* Tue Jul 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.12-8mdv2007.0
- XDG menu

* Fri Dec 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.12-7mdk
- Fix BuildRequires

* Wed Dec 14 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.12-6mdk
- Fix Build
- use mkrel

* Fri Jul 15 2005 Laurent MONTEL <lmontel@mandriva.com> 2.12-5mdk
- Fix build on x86_64

* Wed Jan 05 2005 Tibor Pittich <Tibor.Pittich@mandrake.org> 2.12-4mdk
- fix requires
- removed P0, use libtoolize macro instead
- fix summary

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.12-3mdk
- Rebuild

* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.12-2mdk
- rebuild
- change summary macro to avoid possible conflicts if we were to build debug package
- cosmetics
- %%configure with a few options

* Tue Jun 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.12-1mdk
- 2.12

* Sat Apr 26 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 2.11-2mdk
- fixed Buildrequires (thnx. to Stefan's robot)

* Mon Apr 21 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 2.11-1mdk
- initial import into Mandrake contrib
- created patch to fix Makefile.in (generate bad binary name, and uses bad
  arguments to libtool)
- convert and add png icons
- temporary add sk locale file via spec file, it will be merged in next version,
  thanks to Tomas Olah

